jQuery(document).ready(function($) {

    $(window).on('scroll', function() {
        if ($(this).scrollTop() > 100) {
            $('.borobala').fadeIn();
        } else {
            $('.borobala').fadeOut();
        }
    });
    //Click event to scroll to top
    $('.borobala').on('click', function(e) {
        e.preventDefault();
        $('html, body').animate({
            scrollTop: 0
        }, 800);
        return false;
    });
    // $(".dropdown").hover(
    //     function() {
    //         $('.dropdown-menu', this).stop(true, true).fadeIn("fast");
    //         $(this).toggleClass('open');
    //         $('b', this).toggleClass("caret caret-up");
    //     },
    //     function() {
    //         $('.dropdown-menu', this).stop(true, true).fadeOut("fast");
    //         $(this).toggleClass('open');
    //         $('b', this).toggleClass("caret caret-up");
    //     });

    if ($(window).width() > 768) {
        $('.animated').each(function() {
            var $this = $(this);
            $this.css('opacity', '0');
            $this.waypoint(function() {
                $this.css('opacity', '1');
                $this.addClass($this.data('animated'));
            }, {
                //                offset: 'bottom-in-view'
                offset: "40%"
            });
        });
    }
    if ($('#news-ticker').length > 0) {
        $('#news-ticker').vTicker({
            speed: 500
        });
    }


    if ($('.widget_hide_me').height() > 0) {
        $('.widget_hide_me').closest('.widget_title').hide();
    }

    if ($('.index_contact_mazhabi_masonry').height() > 0) {
        $('.index_contact_mazhabi_masonry').masonry({
            itemSelector: '.size_wrapper',
            percentPosition: true,
            isRTL: true
        });
    }
    $('.collapse .dropdown').hover(function() {
        $(this).find('.dropdown-menu').first().stop(true, true).slideDown(250);
    }, function() {
        $(this).find('.dropdown-menu').first().stop(true, true).slideUp(250);
    });



});